package CHAPTER05;

class ClassName2 {
    String field; // 문자열을 저장할 필드
    
    // 기본 생성자: field 값을 "기본생성자"로 초기화
    ClassName2() {
        field = "기본생성자";
    }

    // 매개변수 생성자 (생성자 오버로딩)
    ClassName2(String msg) {
        field = msg; // 매개변수 msg 값을 field에 저장
    }
}

public class C5_07_OverloadingConstructor {
    public static void main(String[] args) {
        // 기본 생성자를 사용하여 객체 생성
        ClassName2 cn1 = new ClassName2();
        System.out.println(cn1.field); // "기본생성자" 출력

        // 매개변수 생성자를 사용하여 객체 생성
        ClassName2 cn2 = new ClassName2("생성자 오버로딩");
        System.out.println(cn2.field); // "생성자 오버로딩" 출력
    }
}
